from enum import IntEnum


class PrimaryArmsInstruction(IntEnum):
    LEADSCREW_EXTEND = 0x30
    LEADSCREW_RETRACT = 0x31
    HOME_IN_GAME = 0x40

    SET_SUCKERS = 0x32
    ACTIVATE_SOLENOIDS = 0x33
    DEACTIVATE_SOLENOIDS = 0x34

    RAISE_MAIN_ARM = 0x35
    LOWER_MAIN_ARM = 0x36
    SEMI_MAIN_ARM = 0x41
    RAISE_GOLD_ARM = 0x37
    LOWER_GOLD_ARM = 0x38

    TRIGGER_EXPERIENCE = 0x39
